surfrand Struct Reference
surfrand: Random number generator based on SURF

`#include <surfrand.h>`

## Data Fields

unsigned | left
uint32 | generated [SURF_OUT_U32]
uint32 | seed [SURF_SEED_U32]
uint32 | counter [SURF_IN_U32]

## Detailed Description

The surfrand state structure

## Field Documentation

## counter

uint32 surfrand::counter[SURF_IN_U32]

a giant counter used as input to SURF

## generated

uint32 surfrand::generated[SURF_OUT_U32]

temporary storage for the generated random data

## left

unsigned surfrand::left

counts the number of bytes in `generated` that have been output already

## seed

uint32 surfrand::seed[SURF_SEED_U32]

the input seed data

The documentation for this struct was generated from the following file:

- surfrand.h